[arch-commits] Commit in gksu/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jan 31 08:10:38 EST 2010


    Date: Sunday, January 31, 2010 @ 08:10:38
  Author: jgc
Revision: 66519

upgpkg: gksu 2.0.2-2
    Add TryExec line to desktop file, removes menu item when gnome-terminal is not installed

Modified:
  gksu/trunk/PKGBUILD

----------+
 PKGBUILD |   14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-31 12:59:14 UTC (rev 66518)
+++ PKGBUILD	2010-01-31 13:10:38 UTC (rev 66519)
@@ -2,28 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Eduardo Lopes (eduol at gmx.net)
 
-pkgname=gksu	
+pkgname=gksu
 pkgver=2.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A graphical frontend for su"
 arch=('i686' 'x86_64')
 url="http://www.nongnu.org/gksu/index.html"
 license=('GPL')
-depends=('libgksu>=2.0.7')
+depends=('libgksu>=2.0.12')
 makedepends=('gtk-doc' 'pkgconfig' 'nautilus>=2.26.0' 'intltool')
+optdepends=('nautilus')
 options=('!libtool')
 source=(http://people.debian.org/~kov/gksu/${pkgname}-${pkgver}.tar.gz)
 md5sums=('cacbcac3fc272dce01c6ea38354489e2')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   sed -i -e 's|/usr/bin/x-terminal-emulator|-l gnome-terminal|g' gksu.desktop || return 1
+  echo "TryExec=gnome-terminal" >> gksu.desktop
   libtoolize --force || return 1
   aclocal || return 1
   autoconf || return 1
   automake || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var --disable-static || return 1
+      --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list